- 🛠️ API Contracts
- Knowledge Base API reference
- Knowledge Base API
DELETE
/knowledge/{id}
const url = 'https://api.amitysolutions.com/api/v1/knowledge/1';const options = {method: 'DELETE', headers: {'x-api-key': '<x-api-key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.amitysolutions.com/api/v1/knowledge/1 \ --header 'x-api-key: <x-api-key>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
number
Knowledge Base ID
Responses
Section titled “Responses”Processed Successfully.
Unauthorized Error. ASAP will return this error when there is either no api key, invalid api key or the client`s IP address is not whitelisted.
Media typeapplication/json
object
name
string
code
number
status
number
message
string
errors
Array<object>
object
Example
{ "name": "UnauthorizedException", "code": 401001, "status": 401, "message": "Unauthorized", "errors": []}Knowledge base not found
Media typeapplication/json
object
name
Name of the error
string
code
ASAP platform specific error code
number
status
HTTP status code
number
message
Error message details
string
errors
Array<object>
object
Example
{ "name": "NotFoundException", "code": 404001, "status": 404, "message": "Knowledge base with specified ID not found.", "errors": []}Validation Error
Media typeapplication/json
object
name
Name of the error
string
code
ASAP platform specific error code
number
status
HTTP status code
number
message
Error message details
string
errors
Array<object>
object
type
required
Type of error
string
field
required
Name of the field having the error
string
value
Input value
string
message
required
Error message
string
Example
{ "name": "UnprocessableEntityException", "code": 422001, "status": 422, "message": "request payload validation failed", "errors": [ { "type": "isNotEmpty", "field": "name", "message": "name must not be empty" }, { "type": "min", "field": "limit", "value": -1, "message": "limit must not be less than 1" } ]}Too Many Requests
Media typeapplication/json
object
name
Name of the error
string
code
ASAP platform specific error code
number
status
HTTP status code
number
message
Error message details
string
errors
Array<object>
object
Example
{ "name": "RateLimitExceededException", "code": 429001, "status": 429, "message": "Rate limit exceeded", "errors": []}Was this page helpful?
Thank you for your feedback!